###

Berkeley DB Reference Guide:
  Building Berkeley DB for UNIX systems

# Configuring Berkeley DB

There are several options that you can specify when configuring Berkeley DB. While only the Berkeley DB specific ones are described here, most of the standard GNU autoconf options are available and supported. To see a complete list of the options, specify the --help flag to the configure program.

The Berkeley DB specific options are as follows:

--disable-bigfile
  Some systems, notably versions of AIX, HP/UX and Solaris, require special compile-time options in order to create files larger than 2^32 bytes. These options are automatically enabled when Berkeley DB is compiled. For this reason, binaries built on current versions of these systems may not run on earlier versions of the system, as the library and system calls necessary for large files are not available. To disable building with these compile-time options, enter --disable-bigfile as an argument to configure.

--enable-compat185
  To compile or load Berkeley DB 1.85 applications against this release of the Berkeley DB library, enter --enable-compat185 as an argument to configure. This will include Berkeley DB 1.85 API compatibility code in the library.

--enable-cxx
  To build the Berkeley DB C++ API, enter --enable-cxx as an argument to configure.

--enable-debug
  To build Berkeley DB with -g as a compiler flag and with DEBUG #defined during compilation, enter --enable-debug as an argument to configure. This will create a Berkeley DB library with debugging symbols, as well as load various routines that can be called from a debugger to display pages, cursor queues and so forth. This flag should probably not be defined when configuring to build production binaries, although there shouldn't be any significant performance degradation.

--enable-debug_rop
  To build Berkeley DB to output log records for read operations, enter --enable-debug_rop as an argument to configure. This flag should not be defined when configuring to build production binaries, as you will lose a significant amount of performance.

--enable-debug_wop
  To build Berkeley DB to output log records for write operations, enter --enable-debug_wop as an argument to configure. This flag should not be defined when configuring to build production binaries, as you will lose a significant amount of performance.

--enable-diagnostic
  To build Berkeley DB with debugging run-time sanity checks and with DIAGNOSTIC #defined during compilation, enter --enable-diagnostic as an argument to configure. This will cause a number of special checks to be performed when Berkeley DB is running. This flag should not be defined when configuring to build production binaries, as you will lose a significant amount of performance.

--enable-dump185
  To convert Berkeley DB 1.85 (or earlier) databases to this release of Berkeley DB, enter --enable-dump185 as an argument to configure. This will build the db_dump185 utility which can dump Berkeley DB 1.85 and 1.86 databases in a format readable by the Berkeley DB db_load utility.

  The system libraries with which you are loading the db_dump185 utility must already contain the Berkeley DB 1.85 library routines for this to work, as the Berkeley DB distribution does not include them. If you are using a non-standard library for the Berkeley DB 1.85 library routines, you will have to change the Makefile that the configuration step creates to load the db_dump185 utility with that library. ; ;

--enable-dynamic
  To build a dynamic shared library version of Berkeley DB, instead of the default static library, specify --enable-dynamic. Dynamic libraries are built using the GNU Project's Libtool distribution, which supports shared library builds on many, although not all, systems.

  Berkeley DB can be configured to build either a static or a dynamic library. You should not attempt to build both library types in the same directory, as they have incompatible object file formats. To build both static and dynamic libraries, create two separate build directories, and configure and build them separately.

--enable-java
  To build the Berkeley DB Java API, enter --enable-java as an argument to configure. To build Java, you must also configure the option --enable-dynamic. Before configuring, you must set your PATH environment variable to include javac. Note, it is not sufficient to include a symbolic link to javac in your PATH, because the configuration process uses the location of javac to determine the location of the Java include files (e.g., jni.h). On some systems additional include directories may be needed to process jni.h, see Changing compile or load options for more information.

--enable-posixmutexes
  To force Berkeley DB to use the POSIX pthread mutex interfaces for underlying mutex support, enter --enable-posixmutexes as an argument to configure. The Berkeley DB library requires that the POSIX pthread implementation support mutexes shared between multiple processes, as described for the pthread_condattr_setpshared and pthread_mutexattr_setpshared interfaces. In addition, this configuration option requires that Berkeley DB be linked with the -lpthread library. On systems where POSIX mutexes are the preferred mutex support (e.g., HP-UX), they will be selected automatically.

--enable-rpc
  To build the Berkeley DB RPC client code and server utility, enter --enable-rpc as an argument to configure. The --enable-rpc option requires that RPC libraries already be installed on your system.

--enable-shared
  The --enable-shared configure argument is an alias for --enable-dynamic.

--enable-tcl
  To build the Berkeley DB Tcl API, enter --enable-tcl as an argument to configure. The --enable-tcl option requires that Tcl 8.1 or later already be installed on your system. See the --with-tcl option for information on specifying a non-standard location for the Tcl installation.

--enable-test
  To build the Berkeley DB test suite, enter --enable-test as an argument to configure. To run the Berkeley DB test suite, you must also configure the options --enable-dynamic and --enable-tcl.

--enable-uimutexes
  To force Berkeley DB to use the UNIX International (UI) mutex interfaces for underlying mutex support, enter --enable-uimutexes as an argument to configure. This configuration option requires that Berkeley DB be linked with the -lthread library. On systems where UI mutexes are the preferred mutex support, (e.g., SCO's UnixWare 2), they will be selected automatically.

--with-tcl=DIR
  To specify a non-standard installation for Tcl, enter --with-tcl and, as its argument, the directory in which the Tcl tclConfig.sh file may be found. The --with-tcl option implies the --enable-tcl option.

Copyright Sleepycat Software